/*
 * Copyright 2016 - 2025 Gary Talent (gary@drinkingtea.net). All rights reserved.
 */

#pragma once

#include <ox/event/signal.hpp>

#include <turbine/context.hpp>

#include "project.hpp"

namespace studio {

class StudioUI;

struct Context {
	StudioUI &ui;
	Project *project = nullptr;
	turbine::Context &tctx;
	Context(StudioUI &pUi, turbine::Context &pTctx) noexcept:
		ui(pUi), tctx(pTctx) {}
};

[[nodiscard]]
inline keel::Context &keelCtx(Context &ctx) noexcept {
	return keelCtx(ctx.tctx);
}

void navigateTo(Context &ctx, ox::StringParam filePath, ox::StringParam navArgs) noexcept;

}
